Bug 798481 - SELinux is preventing /home/closethipster/.dropbox-dist/dropbox from 'execstack' accesses on the None .
SELinux is preventing /home/closethipster/.dropbox-dist/dropbox from 'execsta...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:240f26baca23b52092ebc0cfcb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 20:32 EST by Step Schwarz
Modified: 2012-02-29 06:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-29 06:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Step Schwarz 2012-02-28 20:32:00 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
reason:         SELinux is preventing /home/closethipster/.dropbox-dist/dropbox from 'execstack' accesses on the None .
time:           Tue 28 Feb 2012 08:31:48 PM EST

description:
:SELinux is preventing /home/closethipster/.dropbox-dist/dropbox from 'execstack' accesses on the None .
:
:*****  Plugin allow_execstack (91.4 confidence) suggests  ********************
:
:If you believe that 
:None
:should not require execstack
:Then you should clear the execstack flag and see if /home/closethipster/.dropbox-dist/dropbox works correctly.
:Report this as a bug on None.
:You can clear the exestack flag by executing:
:Do
:execstack -c None
:
:*****  Plugin catchall (9.59 confidence) suggests  ***************************
:
:If you believe that dropbox should be allowed execstack access on the  <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dropbox /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ None ]
:Source                        dropbox
:Source Path                   /home/closethipster/.dropbox-dist/dropbox
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc3.git7.2.fc17.x86_64 #1
:                              SMP Fri Feb 17 18:55:53 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Tue 28 Feb 2012 08:14:19 PM EST
:Last Seen                     Tue 28 Feb 2012 08:16:58 PM EST
:Local ID                      e31b959f-3f5e-48f4-8827-5f7ffd1b1060
:
:Raw Audit Messages
:type=AVC msg=audit(1330478218.207:163): avc:  denied  { execstack } for  pid=17754 comm="dropbox" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=processnode=(removed) type=SYSCALL msg=audit(1330478218.207:163): arch=c000003e syscall=10 success=no exit=-13 a0=7fffb9aff000 a1=1000 a2=1000007 a3=7f32b416b000 items=0 ppid=17657 pid=17754 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm="dropbox" exe="/home/closethipster/.dropbox-dist/dropbox" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
:
:
:Hash: dropbox,unconfined_t,unconfined_t,None,execstack
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Miroslav Grepl 2012-02-29 06:44:13 EST
You will need to turn on the allow_execstack boolean.

$ setsebool -P allow_execstack 1

Note You need to log in before you can comment on or make changes to this bug.